Advertisement:

Author Topic: smf_2-1-rc2 Seite unverändert seit längerem, aber läuft nicht mehr  (Read 815 times)

Offline Maggan22

  • Semi-Newbie
  • *
  • Posts: 10
Hallo zusammen,

ich habe meine Seite unter smf_2-1-rc2 laufen (jedenfalls ist das die Version die ich auf dem Rechner habe) und hatte sie von 2.0 auf smf_2-1-rc2 geupdatet. Lief auch alles einwandfrei. Hatte die Seite etwas vergessen, schaue nun danach und sie läuft nicht mehr.

Bekomme nur eine Fehlermeldung:
Code: [Select]
Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@zwergen-basar.net to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Domain läuft unter php 7.1 - aber unter 5.6 sieht es auch nicht anders aus!

Gibts anpassungen wegen neuerer php Version die ich machen muss?

Offline m4z

  • 98.8% chimp
  • Localizer
  • Sophist Member
  • *
  • Posts: 1,206
  • /mɛs/
Re: smf_2-1-rc2 Seite unverändert seit längerem, aber läuft nicht mehr
« Reply #1 on: February 02, 2020, 12:49:36 PM »
Gibts anpassungen wegen neuerer php Version die ich machen muss?

Eigentlich nicht, problematisch sollte es erst mit 7.2 werden (falls du die "veröffentlichte" Version von 2.1rc2 verwendest, und nicht eine neuere Version von GitHub).


Bekomme nur eine Fehlermeldung:
Code: [Select]
Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@zwergen-basar.net to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Was sagt denn das Serverlog?


Edit: Wenn ich die Domain aufrufe, bekomme ich:
Code: [Select]
Fatal error: Maximum execution time of 30 seconds exceeded in /www/htdocs/w009ae80/ZB/Sources/Subs-Db-mysqli.php on line 780
Läuft die Datenbank?
"Faith is what you have in things that don't exist."
--Homer Simpson

Es gibt hier im Forum ein deutsches Support-Board!
<werbung>Meine Freundin hat ihr erstes Buch veröffentlicht!</werbung>

Offline m4z

  • 98.8% chimp
  • Localizer
  • Sophist Member
  • *
  • Posts: 1,206
  • /mɛs/
Re: smf_2-1-rc2 Seite unverändert seit längerem, aber läuft nicht mehr
« Reply #2 on: February 02, 2020, 01:08:02 PM »
Die Subs-Db-mysqli.php gibt es in 2.1rc2 garnicht mehr; die letzte Version, in der sie enthalten war, war 2.1beta2. Bist du sicher, dass du 2.1rc2 verwendest?
"Faith is what you have in things that don't exist."
--Homer Simpson

Es gibt hier im Forum ein deutsches Support-Board!
<werbung>Meine Freundin hat ihr erstes Buch veröffentlicht!</werbung>

Offline wintstar

  • Jr. Member
  • **
  • Posts: 154
Re: smf_2-1-rc2 Seite unverändert seit längerem, aber läuft nicht mehr
« Reply #3 on: February 02, 2020, 01:19:36 PM »
Wenn ich deine Seite aufrufe wird folgende Fehlermeldung angezeigt

Quote
atal error: Maximum execution time of 30 seconds exceeded in /xxxx/htdocs/xxxx/xxx/Sources/Subs-Db-mysqli.php on line 780
Server Daten verfremdet



Sources/Subs-Db-mysqli.php on line 780
Code: [Select]
// Sanity check for replace is key part of the columns array
if ($method == 'replace' && count(array_intersect_key($columns, array_flip($keys))) !== count($keys))
smf_db_error_backtrace('Primary Key field missing in insert call',
'Change the method of db insert to insert or add the pk field to the columns array', E_USER_ERROR, __FILE__, __LINE__);

Sanity check for replace is key part of the columns array =>  Die Überprüfung der Richtigkeit zum Ersetzen ist ein wichtiger Bestandteil des Spalten-Arrays

Dieser Sanity check wurde mit Pull Requeest 5031 hinzugefügt. Stelle dein Forum mal als Standard auf English um. Prüfe deine Message Icons, hast du welche neu hinzugefügt?
Es kann auch sein das es an den deutschen Sprachdateien liegt. Ich werde demnächst mein 2.1 RC2 Sprachpaket aktualisieren.

Übrigens mein 2.1 RC Testforum (noch RC1) läuft unter php 7.3

MySQLi System: MySQL
MySQLi Version: 5.7.28-log
PHP: 7.3.14
Server Version: Apache

Offline wintstar

  • Jr. Member
  • **
  • Posts: 154
Re: smf_2-1-rc2 Seite unverändert seit längerem, aber läuft nicht mehr
« Reply #4 on: February 02, 2020, 01:20:52 PM »
Die Subs-Db-mysqli.php gibt es in 2.1rc2 garnicht mehr; die letzte Version, in der sie enthalten war, war 2.1beta2. Bist du sicher, dass du 2.1rc2 verwendest?

Gibt es noch https://github.com/SimpleMachines/SMF2.1/blob/release-2.1/Sources/Subs-Db-mysql.php

Stimmt du hast Recht, mysqli.php gib es nicht mehr. Das sind keine reine 2.1 Dateien auf seinem Server.


Offline Maggan22

  • Semi-Newbie
  • *
  • Posts: 10
Re: smf_2-1-rc2 Seite unverändert seit längerem, aber läuft nicht mehr
« Reply #5 on: February 07, 2020, 10:20:04 AM »
Hallo zusammen, soll ich bis auf die config alle Daten mal runterschmeissen und die orginale einsetzen? Ich hab das Paket von hier aus runtergeladen. Würde ein update ggf. auch helfen?

Offline m4z

  • 98.8% chimp
  • Localizer
  • Sophist Member
  • *
  • Posts: 1,206
  • /mɛs/
Re: smf_2-1-rc2 Seite unverändert seit längerem, aber läuft nicht mehr
« Reply #6 on: February 07, 2020, 02:13:16 PM »
Ich würde direkt ein Update versuchen, dabei ersetzt du die Dateien ja auch. Ich glaube, für die Entwicklungsversionen von 2.1 gibt es keine Patches wie für Releases, daher musst du wahrscheinlich upgraden.
"Faith is what you have in things that don't exist."
--Homer Simpson

Es gibt hier im Forum ein deutsches Support-Board!
<werbung>Meine Freundin hat ihr erstes Buch veröffentlicht!</werbung>

Offline wintstar

  • Jr. Member
  • **
  • Posts: 154
Re: smf_2-1-rc2 Seite unverändert seit längerem, aber läuft nicht mehr
« Reply #7 on: February 08, 2020, 06:44:37 AM »
Ein Upgrade wie verlinkt funktioniert mit 2.1 nicht mehr.

Vorerst ein wichtiger Hinweis SMF 2.1 RC2 sollte nicht in einem Live Forum verwendet werden. Es bestehen noch einige Fehler. Zum Testen kannst du dieser Anweisung folgen. Ab diesem Absatz "Um zu 2.1 Beta* upzugraden, bin ich folgend vorgegangen. Nur mit einem Testforum durchführen!!!!"

Quote
Um zu 2.1 Beta* upzugraden, bin ich folgend vorgegangen. Nur mit einem Testforum durchführen!!!!
Sämtliche Modifikationen, zusätzliche Themes deinstallieren und Dateien des 2.0.* bis auf Settings.php und Settings_bak.php löschen. Alle Verzeichnisse löschen, bis auf attachments /avatars. Die Übernahme der vorhandenen Avatare (avatars) funktioniert noch nicht 100% beim Upgrade. Man kann es ja probieren ob es klappt. In 2.1 Beta* sind Avatare auch in einem anderen Verzeichnis  custom_avatar gespeichert. Daher kommt es vermutlich zu diesem zu diesem Bug. Dann fügt man alle Dateien in den root des Forum Verzeichnis. Die deutschen Sprachdateien in das Verzeichnis, wie in 2.0.*. Die deutschen Sprachdateien haben nicht mehr den Zusatz utf-8, da utf-8 in 2.1 Beta* Standard ist. Dann kopiert man  alle Dateien mit "upgrade_" aus dem Verzeichnis other (upgrade-helper.php nicht vergessen) in den root des Forums und ruft die Datei im Browser mit www-dein-forum-dev/upgrade.php auf. In den folgenden Schritten ist noch nicht alles auf Deutsch, da in den Dateien die Anweisungen und Fehlermeldungen Hardcoded (kein language String vorhanden) eingefügt sind. Es gibt keine Garantie das ein Upgrade funktioniert.

Neu hinzu gekommen ist das aktualisieren der Settings.php. Hierzu das Häkchen aktivieren bei "Zu einer neuen Einstellungsdatei (Settings.php) migrieren." im Upgrade Vorgang aktivieren.

Aktuell zu SMF 2.1 RC2 gibt es bei mir noch kein deutsches Sprachpaket. Ist aber in Arbeit.


SMF 2.1 RC2 nur zum testen verwenden. Nicht in einem Live Forum. Aktuell gibt es bei meinem Forum ein Bug mit der Seitennavigation.

Offline m4z

  • 98.8% chimp
  • Localizer
  • Sophist Member
  • *
  • Posts: 1,206
  • /mɛs/
Re: smf_2-1-rc2 Seite unverändert seit längerem, aber läuft nicht mehr
« Reply #8 on: February 08, 2020, 07:02:37 AM »
Ein Upgrade wie verlinkt funktioniert mit 2.1 nicht mehr.

Hmm. Auch nach mehrmaligem Lesen des Textes ist mir nicht klar, was genau da nicht mehr funktioniert. Im Wesentlichen stimmt die Anleitung ja mit dem Upgrade-Vorgehen überein (außer, dass vorher manuell die Mods deinstalliert werden?).


Vorerst ein wichtiger Hinweis SMF 2.1 RC2 sollte nicht in einem Live Forum verwendet werden. Es bestehen noch einige Fehler. Zum Testen kannst du dieser Anweisung folgen. Ab diesem Absatz "Um zu 2.1 Beta* upzugraden, bin ich folgend vorgegangen. Nur mit einem Testforum durchführen!!!!"

[...]

Das Vorgehen beschreibt ein Upgrade von 2.0; was davon trifft auf ein Upgrade von 2.1beta2 auf 2.1rc2 zu?
"Faith is what you have in things that don't exist."
--Homer Simpson

Es gibt hier im Forum ein deutsches Support-Board!
<werbung>Meine Freundin hat ihr erstes Buch veröffentlicht!</werbung>

Offline wintstar

  • Jr. Member
  • **
  • Posts: 154
Re: smf_2-1-rc2 Seite unverändert seit längerem, aber läuft nicht mehr
« Reply #9 on: February 08, 2020, 07:13:23 AM »
Die Anleitung istt ein Upgrade von 2.0.* zu 2.1 RC*. Ein Upgrade eines bestehendes 2.0.* zu 2.1 RC*. Allerdings nur zum testen. Um 2.1 RC* testen zu können.

In SMF 2.1 RC* sind die Installations-, Upgrade Dateien sowie die Settings.php im Verzeichnis other. Es ist auch noch kein Patch System wo die bestehenden Dateien migriert werden. Das wird es vermutlich erst in der Release Version geben. Bei dem Upgrade Vorgang wird nur die Datenbank aktualisiert.

Es gibt auch Änderungen in der Settings.php und auch in der Datenbank hat sich einiges geändert.

Offline m4z

  • 98.8% chimp
  • Localizer
  • Sophist Member
  • *
  • Posts: 1,206
  • /mɛs/
Re: smf_2-1-rc2 Seite unverändert seit längerem, aber läuft nicht mehr
« Reply #10 on: February 08, 2020, 07:34:03 AM »
Die Anleitung istt ein Upgrade von 2.0.* zu 2.1 RC*. Ein Upgrade eines bestehendes 2.0.* zu 2.1 RC*. Allerdings nur zum testen. Um 2.1 RC* testen zu können.

Ja, und Maggan22 hat vermutlich ein 2.1beta2 (wobei es auch 2.0.x sein könnte, das scheint mir noch nicht abschließend geklärt). Deswegen meine Frage, welche Teile der Anleitung auf diesen Fall zutreffen.


In SMF 2.1 RC* sind die Installations-, Upgrade Dateien sowie die Settings.php im Verzeichnis other.

Die Aussage trifft auf das GitHub-Repo (und vmtl. das Install-Paket) zu, aber im Upgrade-Paket liegen die Dateien an der richtigen Stelle (zumindest im Falle von RC2; kann gut sein, dass das in früheren Versionen kaputt war).


Es ist auch noch kein Patch System wo die bestehenden Dateien migriert werden. Das wird es vermutlich erst in der Release Version geben.

Korrekt, das hatte ich oben auch schon erwähnt. Deswegen hab ich ja auch die Upgrade-Doku (und nicht die Patch-Doku) verlinkt.


Es gibt auch Änderungen in der Settings.php und auch in der Datenbank hat sich einiges geändert.

Die sollten aber vermutlich von der upgrade.php abgefrühstückt werden, oder gibt es da Bugs?
"Faith is what you have in things that don't exist."
--Homer Simpson

Es gibt hier im Forum ein deutsches Support-Board!
<werbung>Meine Freundin hat ihr erstes Buch veröffentlicht!</werbung>

Offline wintstar

  • Jr. Member
  • **
  • Posts: 154
Re: smf_2-1-rc2 Seite unverändert seit längerem, aber läuft nicht mehr
« Reply #11 on: February 08, 2020, 08:13:45 AM »
Quote
Ja, und Maggan22 hat vermutlich ein 2.1beta2 (wobei es auch 2.0.x sein könnte, das scheint mir noch nicht abschließend geklärt). Deswegen meine Frage, welche Teile der Anleitung auf diesen Fall zutreffen.
Der Upgrade Vorgang aktualisiert nur die Datenbank. Daher kann es von allen Versionen verwendet werden. Von 2.0.*, von 2.1 Beta*  zu 2.1 RC*. Kann sich aber mit der nächsten RC eventuell ändern.

Quote
Die Aussage trifft auf das GitHub-Repo (und vmtl. das Install-Paket) zu, aber im Upgrade-Paket liegen die Dateien an der richtigen Stelle (zumindest im Falle von RC2; kann gut sein, dass das in früheren Versionen kaputt war).
Stimmt. Die hier enthaltene RC2 Pakete liegen die Dateien an der richtigen Stelle.

Quote
Die sollten aber vermutlich von der upgrade.php abgefrühstückt werden, oder gibt es da Bugs?
Die Option die Settings.php zu migrieren ist im RC2 Paket von hier enthalten.

Quote
Die sollten aber vermutlich von der upgrade.php abgefrühstückt werden, oder gibt es da Bugs?
Bugs sind in der RC2 noch enthalten. Eventuell auch noch im Upgrade Vorgang. Bei meiner Server Konfiguration hat es bisher funktioniert.

Ich würde jeden daraufhinweisen das RC2 nicht als Live Version eingesetzt werden soll. Viele verwenden dies zwar schon als Live System, aber ich bin mir nicht sicher ob von RC* zur Release Version 100% fehlerfrei ohne Datenverlust aktualisiert werden kann. Es gibt auch kein Weg mehr zurück auf 2.0.* und auch kein Konverter von Beta / RC in ein andere Forensoftware.